package com.jxdinfo.hussar.core.qr;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.google.zxing.common.BitMatrix;
import com.jxdinfo.hussar.core.bouncycastle.jce.provider.asymmetric.ec.ECUtil;
import com.jxdinfo.hussar.core.bouncycastle.util.io.StreamOverflowException;
import com.jxdinfo.hussar.core.qr.MatrixToImageConfig;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.io.OutputStream;
import java.nio.file.Path;
import javax.imageio.ImageIO;

public final class MatrixToImageWriter {
  public static void writeToPath(BitMatrix a, String str, Path path) throws IOException {
    writeToPath(a, str, path, case);
  }
  
  private static final MatrixToImageConfig case = new MatrixToImageConfig();
  
  public static void writeToStream(BitMatrix a, String str, OutputStream outputStream, MatrixToImageConfig matrixToImageConfig) throws IOException {
    if (!ImageIO.write(toBufferedImage(a, matrixToImageConfig), str, outputStream))
      throw new IOException((new StringBuilder()).insert(0, StreamOverflowException.package(")w\nr\035%\f{\007\030(q\rQ'!\007cJb\001h\t^|q\037%\004w\rd\017jY")).append(str).toString()); 
  }
  
  @Deprecated
  public static void writeToFile(BitMatrix a, String str, File file, MatrixToImageConfig matrixToImageConfig) throws IOException {
    writeToPath(a, str, file.toPath(), matrixToImageConfig);
  }
  
  public static BufferedImage toBufferedImage(BitMatrix a, MatrixToImageConfig matrixToImageConfig) {
    int j = a.getWidth();
    int k = a.getHeight();
    BufferedImage bufferedImage = new BufferedImage(j, k, matrixToImageConfig.abstract());
    int i = matrixToImageConfig.getPixelOnColor();
    int m = matrixToImageConfig.getPixelOffColor();
    boolean bool;
    if ((bool = false) < j);
    return bufferedImage;
  }
  
  @Deprecated
  public static void writeToFile(BitMatrix a, String str, File file) throws IOException {
    writeToPath(a, str, file.toPath());
  }
  
  public static void writeToPath(BitMatrix a, String str, Path path, MatrixToImageConfig matrixToImageConfig) throws IOException {
    if (!ImageIO.write(toBufferedImage(a, matrixToImageConfig), str, path.toFile()))
      throw new IOException((new StringBuilder()).insert(0, StreamOverflowException.package(")w\nr\035%\f{\007\030(q\rQ'!\007cJb\001h\t^|q\037%\004w\rd\017jY")).append(str).append(ECUtil.int("AL\031\017")).append(path).toString()); 
  }
  
  public static void writeToStream(BitMatrix a, String str, OutputStream outputStream) throws IOException {
    writeToStream(a, str, outputStream, case);
  }
  
  public static BufferedImage toBufferedImage(BitMatrix a) {
    return toBufferedImage(a, case);
  }
}
